Subject: bug#33609: closed (Re: bug#33609: fortune-mod build (test) failure)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 13 Jul 2022 15:07:02 +0000

Your bug report

#33609: fortune-mod build (test) failure

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33609: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=33609
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33609: fortune-mod build (test) failure
From: Maxim Cournoyer <[email-masked]>
To: Sarah Morgensen <[email-masked]>
Cc: Pierre Neidhardt <[email-masked]>, [email-masked]
Date: Wed, 13 Jul 2022 11:06:08 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Sarah Morgensen <[email-masked]> writes:

> Hi,
>
> Pierre Neidhardt <[email-masked]> writes:
>
>> I've pushed 6185732390003ca36a730231bb6280b68c37ee8e which skips the
>> valgrind test.  This is not ideal but better than having a broken
>> package.
>>
>> Upstream has https://github.com/shlomif/fortune-mod/issues/21 which
>> could be related.
>
> This seems to be fixed now.  I've attached a patch below to reenable it.
>
> It could probably do with an update, too.  It now vendors 'rinutils'
> (which we already have as an input) so that would need to be removed.

Our fortune-mod package is now at version 3.14.0.  I haven't reviewed
bundling status, but if there are problem, we can open a new issue.

Closing for now,

Thanks!

Maxim

Subject: fortune-mod build (test) failure
From: Danny Milosavljevic <[email-masked]>
To: <[email-masked]>
Date: Tue, 4 Dec 2018 11:10:33 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Running [prove /tmp/guix-build-fortune-mod-2.6.1.drv-0/source/fortune-mod/tests/t/check-cookies.t /tmp/guix-build-fortune-mod-2.6.1.drv-0/source/fortune-mod/tests/t/test-fortune-m.t /tmp/guix-build-fortune-mod-2.6.1.drv-0/source/fortune-mod/tests/t/test-fortune-o-rot.t /tmp/guix-build-fortune-mod-2.6.1.drv-0/source/fortune-mod/tests/t/trailing-space-and-CRs.t /tmp/guix-build-fortune-mod-2.6.1.drv-0/source/fortune-mod/tests/t/valgrind.t]
/tmp/guix-build-fortune-mod-2.6.1.drv-0/source/fortune-mod/tests/t/check-cookies.t ........... ok
(computers)
%
(cookie)
%
(politics)
%
/tmp/guix-build-fortune-mod-2.6.1.drv-0/source/fortune-mod/tests/t/test-fortune-m.t .......... ok
/tmp/guix-build-fortune-mod-2.6.1.drv-0/source/fortune-mod/tests/t/test-fortune-o-rot.t ...... ok
/tmp/guix-build-fortune-mod-2.6.1.drv-0/source/fortune-mod/tests/t/trailing-space-and-CRs.t .. ok
No fortunes found

#   Failed test 'fortune valgrind test'
#   at /tmp/guix-build-fortune-mod-2.6.1.drv-0/source/fortune-mod/tests/t/valgrind.t line 15.
No fortunes found

#   Failed test 'fortune -f valgrind test'
#   at /tmp/guix-build-fortune-mod-2.6.1.drv-0/source/fortune-mod/tests/t/valgrind.t line 25.
No fortunes found

#   Failed test 'fortune -m valgrind test'
#   at /tmp/guix-build-fortune-mod-2.6.1.drv-0/source/fortune-mod/tests/t/valgrind.t line 35.
No fortunes found

#   Failed test 'fortune -i -m valgrind test'
#   at /tmp/guix-build-fortune-mod-2.6.1.drv-0/source/fortune-mod/tests/t/valgrind.t line 45.
# Looks like you failed 4 tests of 4.
/tmp/guix-build-fortune-mod-2.6.1.drv-0/source/fortune-mod/tests/t/valgrind.t              (Wstat: 1024 Tests: 4 Failed: 4)
  Failed tests:  1-4
  Non-zero exit status: 4
Files=5, Tests=10, 22 wallclock secs ( 0.40 usr  0.05 sys + 14.69 cusr  6.35 csys = 21.49 CPU)
Result: FAIL
Running [prove /tmp/guix-build-fortune-mod-2.6.1.drv-0/source/fortune-mod/tests/t/check-cookies.t /tmp/guix-build-fortune-mod-2.6.1.drv-0/source/fortune-mod/tests/t/test-fortune-m.t /tmp/guix-build-fortune-mod-2.6.1.drv-0/source/fortune-mod/tests/t/test-fortune-o-rot.t /tmp/guix-build-fortune-mod-2.6.1.drv-0/source/fortune-mod/tests/t/trailing-space-and-CRs.t /tmp/guix-build-fortune-mod-2.6.1.drv-0/source/fortune-mod/tests/t/valgrind.t] failed! at /tmp/guix-build-fortune-mod-2.6.1.drv-0/source/fortune-mod/run-tests.pl line 32.
make[3]: *** [CMakeFiles/check.dir/build.make:60: CMakeFiles/check] Error 1
make[3]: Leaving directory '/tmp/guix-build-fortune-mod-2.6.1.drv-0/source/build'